=== debian/changelog ===
alljoyn-gateway-1504 (15.04~git20160606-4) unstable; urgency=medium

  * debian/control: use dh11
  * debian/control: bump standard to 4.1.3 (no changes)
  * debian/control: add salsa URLs
  * debian/control: change prio extra to optional
  * debian/copyright: use https

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 24 Feb 2018 16:01:37 +0100

alljoyn-gateway-1504 (15.04~git20160606-3) unstable; urgency=medium

  * move package to debian-iot-maintainer
  * add VCS URLs
  * add dependency for lsb-base (>= 3.0-6)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 25 Dec 2016 18:28:32 +0100

alljoyn-gateway-1504 (15.04~git20160606-2) unstable; urgency=medium

  * improve postinst script (Closes: #829148)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 10 Jul 2016 15:40:32 +0200

alljoyn-gateway-1504 (15.04~git20160606-1) unstable; urgency=medium

  * Initial release (Closes: #827772)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 20 Jun 2016 21:28:32 +0200
